Subject: Re: bug#33270: [SHEPHERD] Wrong error message when missing priviledge

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 05 Nov 2018 20:48:51 +0100

swedebugia <[email-masked]> writes:

> sdb@komputilo ~$ herd status
> error: connect: /run/user/30011/shepherd/socket: No such file or directory

It is possible to run shepherd as a user service manager.  This means
that we can’t generally assume that the user meant to communicate with
the init instance.

The error could be that either the user’s instance is not running or
that the user meant to communicate with the init system.  It is not
obvious to me how to distinguish these two errors.

--
Ricardo